Subject: bug#35128: 12.1.2; C-u ` <symbol> puts cursor before closing dollar sign

From: Todor Tsankov <[email-masked]>
Date: Fri, 5 Apr 2019 22:34:22 -0700

On 04/04/2019 10:31, Ikumi Keita wrote:
> Hi Tsankov,
> 
>>>>>> Todor Tsankov <[email-masked]> writes:
>> The math prefix command "`" with a prefix argument allows to quickly
>> insert mathematical symbols surrounded by dollar signs. After this
>> command, AucTeX places the cursor before the closing dollar sign, so one
>> needs an extra keystroke to move forward and continue typing after that.
>> This did not happen in version 11.91, where the cursor was placed after
>> the closing dollar sign, so it can be considered a regression. This is
>> quite annoying for me: I mostly use this command to insert single
>> symbols (for example Greek letters) in the text.
> 
> Thanks for reporting the bug.  This is a regression in an attempt to
> wrap the whole "\langle" and "\rangle" pair inside the dollar signs,
> when one types "`" followed by "(".
> 
> I hope that the following definition for the function
> `LaTeX-math-insert' would fix the bug.  Could you test it if you know
> how to do that?
> 

The new function works for me. Thanks for the quick reaction and for the
fix!

Best,
Todor